<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Normality Monitoring </title>
</meta>
<style>
table,td,th{
border:1px solid #000;
border-collapse:collapse;
margin:0;
padding:0;
font-family:Arial,Helvetica,sans-serif;
}
td,th{
padding:.2em .5em;
vertical-align:top;
font-weight:normal;
font-size:12px;
text-align:left;
}
thead th{
background:#666;
color:#fff;
text-align:center;
font-size:14px;
}
tbody td{
background:#eee;
}
tbody th{
background:#ccc;
font-size:14px;
}
tbody tr.err td{
background:#F5A9A9;
}
tbody tr.err th{
background:#F5A9A9;
}
table th a:link{
color:#030;
}
table th a:visited{
color:#003;
}
table td a:link{
color:#369;
}
table td a:visited{
color:#000;
}
table a:hover{
text-decoration:none;
}
table a:active{
color:#000;
}
</style>
</head>
<body>
<?php
function print_stat($tab) {
$i=1;
foreach ($tab as $val) {
   $par[$i]=split('=',$val);
   if (substr($par[1][0],0,7)=='Master_' || substr($par[1][0],0,7)=='Slave_'){
      if ($i==2) {
         echo "<tr";
         if ($par[1][1] != $par[2][1])
            echo " class='err'";
         echo "><th scope='row' id='r100'>".str_replace('_',' ',substr($par[1][0],7))."</th>\n";
         echo "<td>".$par[1][1]."</td>\n";
         echo "<td>".$par[2][1]."</td></tr>\n";
         $i=0;
         }
      $i++;
      }
   else {
      echo "<tr><th scope='row' id='r100'>".str_replace('_',' ',$par[$i][0])."</th>\n";
      echo "<td colspan='2'><center>".$par[$i][1]."</center></td></tr>\n";
      }
   }
}
if (array_key_exists('key',$_GET))
   $key=urldecode($_GET['key']);
if (!$key) exit;
if (array_key_exists('table',$_GET))
   $table=urldecode($_GET['table']);
if (!$table) exit;

include 'connection.php';
if ($table=='check_rep') {
?>
<table summary="Replication monitoring">
<thead>
<tr><th colspan=3><center><b>Replication monitoring</b></center></th></tr>
<tr>
<th scope="col">Parameter</th>
<th scope="col">Master</th>
<th scope="col">Slave</th>
</tr>
</thead>
<tbody>
<?php
$query="select * from check_rep where ".str_replace ( "\\" , "" ,$key);
$result=mysql_query ($query) or die (mysql_error()) ;
//$nomcost=mysql_num_rows($result);
$row = mysql_fetch_row($result);
echo "<tr><th scope='row' id='r100'>Date</th><td colspan='2'><center>$row[1]</center></td></tr>\n";
echo "<tr><th scope='row' id='r100'>Host</th><td>$row[2]</td><td>$row[3]</td></tr>\n";
echo "<tr><th scope='row' id='r100' colspan='3'><center>Replication status</center></th></tr>\n";
if ($row[4] && $row[5] && $row[6] && $row[7]){
   echo "<tr";
   if ($row[4]!=$row[6])
      echo " class='err'";
   echo "><th scope='row' id='r100'>Log File</th>\n";
   echo "<td>".$row[4]."</td>\n";
   echo "<td>".$row[6]."</td></tr>\n";
   echo "<tr";
   if ($row[5]!=$row[7])
      echo " class='err'";
   echo "><th scope='row' id='r100'>Log Pos</th>\n";
   echo "<td>".$row[5]."</td>\n";
   echo "<td>".$row[7]."</td></tr>\n";
   echo "<tr><th scope='row' id='r100'>Slave IO State</th>\n";
   echo "<td colspan='2'><center>".$row[8]."</center></td></tr>\n";
   if ($row[9]>0)
      echo "<tr class='err'>";
   else
      echo "<tr>";
   echo "<th scope='row' id='r100'>Slave Last Errno</th>\n";
   echo "<td colspan='2'><center>".$row[9]."</center></td></tr>\n";
   if ($row[10]){
      echo "<tr class='err'><th scope='row' id='r100'>Slave Last Error</th>\n";
      echo "<td colspan='2'><center>".$row[10]."</center></td></tr>\n";
      }
   else {
      echo "<tr><th scope='row' id='r100'>Slave Last Error</th>\n";
      echo "<td colspan='2'><center> - </center></td></tr>\n";
      }
   }
else
   echo "<tr><td colspan='3'><center>-</center></td></tr>\n";
echo "<tr><th scope='row' id='r100' colspan='3'><center>Table count</center></th></tr>\n";
if ($row[11])
   print_stat(split(';',$row[11]));
else
   echo "<tr><td colspan='3'><center>-</center></td></tr>\n";
echo "<tr><th scope='row' id='r100' colspan='3'><center>table sum</center></th></tr>\n";
if ($row[12])
   print_stat(split(';',$row[12]));
else
   echo "<tr><td colspan='3'><center>-</center></td></tr>\n";
?>
</table>
<?php }
else if ($table=='check_dba') {
?>
<table summary="Synchronization monitoring">
<thead>
<tr><th colspan=5><center><b>Synchronization monitoring</b></center></th></tr>
<tr>
<th scope="col">DBA hostname</th>
<th scope="col">Astrad hostname</th>
<th scope="col">Date reception</th>
<th scope="col">Max register</th>
<th scope="col">Time diff. (s)</th>
</tr>
</thead>
<tbody>
<?php
$query="select dba_host,server,reception,max_expires,time_diff from check_dba where ".str_replace ( "\\" , "" ,$key);
$result=mysql_query ($query) or die (mysql_error()) ;
while ($row = mysql_fetch_row($result)) {
   echo "<tr>\n";
   echo "<td>".$row[0]."</td>";
   echo "<td>".$row[1]."</td>";
   echo "<td>".$row[2]."</td>";
   echo "<td>".$row[3]."</td>";
   echo "<td>".$row[4]."</td>";
   echo "</tr>\n";
   }
?></table><?php
}
else if ($table=='check_astrad') {
?>
<table summary="Performance monitoring Astrad scripts">
<thead>
<tr><th colspan=3><center><b>Performance monitoring Astrad scripts</b></center></th></tr>
<tr>
<th scope="col">Astrad hostname</th>
<th scope="col">Date reception</th>
<th scope="col">Execution output</th>
</tr>
</thead>
<tbody>
<?php
$query="select ast_host,reception,desc_ from check_astrad where ".str_replace ( "\\" , "" ,$key);
$result=mysql_query ($query) or die (mysql_error()) ;
while ($row = mysql_fetch_row($result)) {
   echo "<tr>\n";
   echo "<td>".$row[0]."</td>";
   echo "<td>".$row[1]."</td>";
   echo "<td>".$row[2]."</td>";
   echo "</tr>\n";
   }
?></table><?php
}
?>
</body>
</html>
